Subject: [bug#72452] [PATCH v5] gnu: Add guile-swayer.

From: Alec Barreto <[email-masked]>
Date: Fri, 13 Sep 2024 12:03:09 +0000

Hello!

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Alec Barreto <[email-masked]> skribis:
>
>> * gnu/packages/guile-xyz.scm (guile-swayer): New variable.
>>
>> Change-Id: Ibd3817842e36fa35a3f1ecc09288549c10fd0d12
>
> I was about to push it but got this error:
>
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix build guile-swayer
>
> [...]
>
> HEAD is now at 67e3522 revert example.scm
> r:sha256 hash mismatch for /gnu/store/akv9bcr9kdilw6nkzsay34vxwyw381vm-guile-swayer-0.2.0-checkout:
>   expected hash: 09c0143q9sm75xp1qz7a7ihdqfwqg4w8nlq0mmnivhvamww775ss
>   actual hash:   1xid45npr5v379jziidjda8mg34gabbp7kaxil1h37z67sdwky4h
> hash mismatch for store item '/gnu/store/akv9bcr9kdilw6nkzsay34vxwyw381vm-guile-swayer-0.2.0-checkout'
> build of /gnu/store/bijs0qa7d7b8m80b0n0ivi177ws1f17d-guile-swayer-0.2.0-checkout.drv failed
> View build log at '/var/log/guix/drvs/bi/js0qa7d7b8m80b0n0ivi177ws1f17d-guile-swayer-0.2.0-checkout.drv.gz'.
> cannot build derivation `/gnu/store/xl9lmk79p14karjglkxgnlpmp3805pdg-guile-swayer-0.2.0.drv': 1 dependencies couldn't be built
> guix build: error: build of `/gnu/store/xl9lmk79p14karjglkxgnlpmp3805pdg-guile-swayer-0.2.0.drv' failed
> --8<---------------cut here---------------end--------------->8---
>
> Could it be that the v0.2.0 tag was modified in place?
>
> Could you send an updated patch with the updated hash once you’ve
> confirmed it’s all right?
>
> Thanks in advance!
>
> Ludo’.

Hm sorry I'm not sure what's going on here.
The package builds fine for me as is in the patch.
However if I switch the hash in the package definition anyways I get:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build guile-swayer

[...]

HEAD is now at 67e3522 revert example.scm
r:sha256 hash mismatch for /gnu/store/3ckiq7q6faq0q5z1iyw34iyx2wdpy8iq-guile-swayer-0.2.0-checkout:
  expected hash: 1x1d45npr5v379jziidjda8mg34gabbp7kaxil1h37z67sdwky4h
  actual hash:   1xid45npr5v379jziidjda8mg34gabbp7kaxil1h37z67sdwky4h
hash mismatch for store item '/gnu/store/3ckiq7q6faq0q5z1iyw34iyx2wdpy8iq-guile-swayer-0.2.0-checkout'
build of /gnu/store/fkwqcknwkh78ryhrxwqb0fs4ncncpa76-guile-swayer-0.2.0-checkout.drv failed
Could not find build log for '/gnu/store/fkwqcknwkh78ryhrxwqb0fs4ncncpa76-guile-swayer-0.2.0-checkout.drv'.
cannot build derivation `/gnu/store/7fwvwc4z45g8ilk9dvrdm0pf86s8bjvq-guile-swayer-0.2.0.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/7fwvwc4z45g8ilk9dvrdm0pf86s8bjvq-guile-swayer-0.2.0.drv' failed
--8<---------------cut here---------------end--------------->8---

My internet is a bit spotty today and tomorrow, so ending this
while I can, but I can investigate soon.

Best,
Alec